Bug 30244 - Wrong Position of #endif in Document::finishedParsing()
Summary: Wrong Position of #endif in Document::finishedParsing()
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Windows XP
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-08 21:51 PDT by Lyon Chen
Modified: 2009-10-11 15:34 PDT (History)
1 user (show)

See Also:


Attachments
Patch for bug 30244 (450 bytes, patch)
2009-10-08 22:02 PDT, Lyon Chen
no flags Details | Formatted Diff | Diff
Patch for bug 30244 with change log. (1.15 KB, patch)
2009-10-09 06:07 PDT, Lyon Chen
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lyon Chen 2009-10-08 21:51:02 PDT
In WebCore\dom\Document.cpp, the position of #endif is wrong.

    if (Frame* f = frame()) {
        f->loader()->finishedParsing();

#if ENABLE(INSPECTOR)
        if (!page())
            return;

        if (InspectorController* controller = page()->inspectorController())
            controller->mainResourceFiredDOMContentEvent(f->loader()->documentLoader(), url());
    }
#endif

Should be changed to:

    if (Frame* f = frame()) {
        f->loader()->finishedParsing();

#if ENABLE(INSPECTOR)
        if (!page())
            return;

        if (InspectorController* controller = page()->inspectorController())
            controller->mainResourceFiredDOMContentEvent(f->loader()->documentLoader(), url());
#endif
    }
Comment 1 Lyon Chen 2009-10-08 22:02:30 PDT
Created attachment 40928 [details]
Patch for bug 30244

This patch fix the error.
Comment 2 Lyon Chen 2009-10-09 06:07:38 PDT
Created attachment 40946 [details]
Patch for bug 30244 with change log.
Comment 3 Alexey Proskuryakov 2009-10-09 16:16:58 PDT
Comment on attachment 40946 [details]
Patch for bug 30244 with change log.

To make sure that your patch isn't overlooked, please set review flag to "?" next time.

r=me
Comment 4 WebKit Commit Bot 2009-10-11 15:34:13 PDT
Comment on attachment 40946 [details]
Patch for bug 30244 with change log.

Clearing flags on attachment: 40946

Committed r49428: <http://trac.webkit.org/changeset/49428>
Comment 5 WebKit Commit Bot 2009-10-11 15:34:18 PDT
All reviewed patches have been landed.  Closing bug.